QGIS Application - Bug report #12241
WMTS and 2.8
2015-02-23 01:16 PM - Randal Hale

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Web Services clients/WMS
Affected QGIS version:2.8.0

Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:
Easy fix?:
Resolution:

No
No

Copied to github as #: 20426

Description

In 2.6 and 2.7 (master) | could add this tile service using the WMS/WMTS icon:
http://services.arcgisonline.com/arcgis/rest/services/World Imagery/MapServer/WMTS/1.0.0/WMTSCapabilities.xml

With 2.8 it appears to not being working. This works though:
qgis.utils.iface.addRasterLayer("http://services.arcgisonline.com/ArcGlS/rest/services/World_Imagery/MapServer ?f=json&pretty=true","ra

aster")

I'm not noticing anything getting announced in the logs. So I'm no help there.

ster")

Related issues:

Duplicated by QGIS Application - Bug report # 12244: WMTS does not load Tiles...

Closed

2015-02-24

Associated revisions

Revision 6de2828d - 2015-02-24 01:36 AM - Jiirgen Fischer

fix wmts (fixes #12241; followup 1e97b62c)

Revision 251aca6d - 2015-02-24 01:36 AM - Juirgen Fischer

fix wmts (fixes #12241; followup 1e97b62c)

History

#1 - 2015-02-23 02:52 PM - Giovanni Manghi

- OS version deleted (7)

- Operating System deleted (Windows )

- Target version changed from Version 2.8 to Version 2.8.1
- Priority changed from Normal to Severe/Regression

- Category set to Web Services clients/WMS

Confirmed, works ok on 2.6.1, does not on 2.8 and master.

#2 - 2015-02-23 04:37 PM - Juirgen Fischer
- Status changed from Open to Closed

2025-12-15
http://services.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/WMTS/1.0.0/WMTSCapabilities.xml

Fixed in changeset commit:"251aca6dcal0171be67cac245e8b37553304f042".
